| KD SOAP 1.9.1

Public Member Functions | List of all members
KDSoapHeaders Class Reference

`#include <KDSoapMessage.h>`

Inherits QList< KDSoapMessage >.

## Public Member Functions
KDSoapMessage | header (const QString &name) const
KDSoapMessage | header (const QString &name, const QString &namespaceUri) const

## Detailed Description

Set of headers that can be provided when making a SOAP call.

See also
  KDSoapClientInterface

## Member Function Documentation

## ◆ header() [1/2]

KDSoapMessage KDSoapHeaders::header | ( | const QString & | name | ) | const

Convenience method: return the header with a given XML element name (assumes unicity)

## ◆ header() [2/2]

KDSoapMessage KDSoapHeaders::header | ( | const QString & | name,
|  | const QString & | namespaceUri
| ) |  | const

Convenience method: return the header with a given XML element name and namespace (assumes unicity)

The documentation for this class was generated from the following files:

- src/KDSoapClient/KDSoapMessage.h
- src/KDSoapClient/KDSoapMessage.cpp

Klarälvdalens Datakonsult AB (KDAB)
"The Qt, C++ and OpenGL Experts"
https://www.kdab.com/
https://www.kdab.com/development-resources/qt-tools/kd-soap/